Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class SortSpecification

    java.lang.Object

      |

      +--oracle.ifs.common.SortSpecification

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class SortSpecification
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

The SortSpecification class is used to specify a sort order for operations that can be sorted, such as opening a folder. This is typically a set of attribute names and a boolean that represents either ascending or descending.

See Also:
  Serialized Form

Constructor Summary
`SortSpecification()` default constructor.
`SortSpecification(java.lang.String[] sortAttributes, boolean[] sortOrders)` construct a SortSpecification, initializing with a set of sort qualifications.

Method Summary
`void` | `addSortQualifier(java.lang.String sortAttribute, boolean sortOrder)` Add a SortAttribute with a sort direction (ascending/descending).
`void` | `addSortQualifier(java.lang.String sortAttribute, boolean sortOrder, java.lang.String classname, java.lang.String alias)` Add a SortAttribute with a sort direction (ascending/descending).
`void` | `addSortQualifiers(java.lang.String[] sortAttributes, boolean[] sortOrders)` Add the specified set of sort qualifications to this Sort Specification.
`java.lang.String` | `getDefaultAlias()` return the Default alias setting.
`java.lang.String` | `getDefaultClass()` return the Default Class setting.
`java.lang.String[]` | `getSortAttributes()` Returns the current set of Sort Attributes as an array.
`boolean[]` | `getSortOrders()` Returns the current set of Sort Orders as an array.
`void` | `setDefaultAlias(java.lang.String defAlias)` set the Default Alias.
`void` | `setDefaultClass(java.lang.String defClass)` set the Default Class.

Constructor Detail

### SortSpecification

    public SortSpecification()
                      throws IfsException

  default constructor.
  Throws:
    `IfsException` - if operation fails.

### SortSpecification

    public SortSpecification(java.lang.String[] sortAttributes,
                             boolean[] sortOrders)
                      throws IfsException

  construct a SortSpecification, initializing with a set of sort qualifications.
  Parameters:
    `sortAttributes` - the sort attribute names
    `sortOrders` - the corresponding sort orders
  Throws:
    `IfsException` - if operation fails.

Method Detail

### addSortQualifiers

    public void addSortQualifiers(java.lang.String[] sortAttributes,
                                  boolean[] sortOrders)
                           throws IfsException

  Add the specified set of sort qualifications to this Sort Specification. the length of the two array parameters must be equal.
  Parameters:
    `sortAttributes` - the sort attribute names
    `sortOrders` - the corresponding sort orders
  Throws:
    `IfsException` - if operation fails.

### addSortQualifier

    public void addSortQualifier(java.lang.String sortAttribute,
                                 boolean sortOrder)
                          throws IfsException

  Add a SortAttribute with a sort direction (ascending/descending).
  Parameters:
    `sortAttribute` - the sort attribute name
    `sortOrder` - the corresponding sort order
  Throws:
    `IfsException` - if operation fails.

### addSortQualifier

    public void addSortQualifier(java.lang.String sortAttribute,
                                 boolean sortOrder,
                                 java.lang.String classname,
                                 java.lang.String alias)
                          throws IfsException

  Add a SortAttribute with a sort direction (ascending/descending).
  Parameters:
    `sortAttribute` - the sort attribute name
    `sortOrder` - the corresponding sort order
    `classname` - the class name (optional)
    `alias` - the alias for the class name (optional)
  Throws:
    `IfsException` - if operation fails.

### setDefaultClass

    public void setDefaultClass(java.lang.String defClass)
                         throws IfsException

  set the Default Class.
  Parameters:
    `defClass` - the Default Class name.
  Throws:
    `IfsException` - if operation fails.

### getDefaultClass

    public java.lang.String getDefaultClass()
                                     throws IfsException

  return the Default Class setting.
  Returns:
    the Default Class setting.
  Throws:
    `IfsException` - if operation fails.

### setDefaultAlias

    public void setDefaultAlias(java.lang.String defAlias)
                         throws IfsException

  set the Default Alias.
  Parameters:
    `defAlias` - the alias.
  Throws:
    `IfsException` - if operation fails.

### getDefaultAlias

    public java.lang.String getDefaultAlias()
                                     throws IfsException

  return the Default alias setting.
  Returns:
    the Default alias setting.
  Throws:
    `IfsException` - if operation fails.

### getSortAttributes

    public java.lang.String[] getSortAttributes()
                                         throws IfsException

  Returns the current set of Sort Attributes as an array.
  Returns:
    the current set of Sort Attributes as an array.
  Throws:
    `IfsException` - if operation fails.

### getSortOrders

    public boolean[] getSortOrders()
                            throws IfsException

  Returns the current set of Sort Orders as an array.
  Returns:
    the current set of Sort Orders as an array.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD